@charset "UTF-8";

@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@100;300;400;800&display=swap');

*, *::before, *::after {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

::selection {
  background-color: #0b372dbb;
}

body {
  font-family: "Poppins", sans-serif;
  background-color: #282828;
}

/* ---- header ---- */
header {
  position: absolute;
  z-index: 999;
  width: 100%;
  padding: 0.9rem 0;
  top: 0;
  left: 0;
  border-bottom: 1px solid rgba(255, 255, 255, 0.1);
}

header nav {
  max-width: 1400px;
  margin: 0 auto;
  padding: 0 2rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

header ul {
  display: flex;
  list-style: none;
  align-items: center;
}

header ul a {
  text-decoration: none;
  color: white;
  padding: 0 1.5rem;
  text-transform: uppercase;
  font-weight: 300;
  font-size: 0.83rem;
}

.logo {
  width: 180px;
  padding: 10px;
}

.search a {
  font-size: 1.05rem;
  padding: 0 3rem;
}

.hamburguer {
  padding-left: 1.5rem;
}

.hamburguer a {
  width: 32px;
  height: 32px;
  display: flex;
  padding: 0;
  border-radius: 50%;
  background-color: rgba(115, 115, 115, 0.7);
  backdrop-filter: blur(10px);
  -webkit-backdrop-filter: blur(10px);
  justify-content: center;
  align-items: center;
}

.hamburguer .bar {
  position: relative;
  width: 52%;
  height: 1.3px;
  background-color: white;
  border-radius: 2px;
}

.hamburguer .bar::before,
.hamburguer .bar::after {
  content: "";
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  width: 60%;
  height: 100%;
  background-color: inherit;
  border-radius: 2px;
}

.hamburguer .bar::before {
  top: -4.5px;
}

.hamburguer .bar::after {
  top: 4.5px;
}

/* ---- End of Header ---- */

/* ---- Main ---- */
main {
  background-color: #353;
  height: 100vh;
  width: 100vw;
  overflow: hidden;
  position: relative;
}

.parallax {
  pointer-events: none;
  transition: 0.45s cubic-bezier(.2, .49, .32, .99);
  transform: translate(-50%, -50%);
}

.vignette {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  background: radial-gradient(ellipse at center, rgba(0, 0, 0, 0) 65%, rgba(0, 0, 0, 0.7));
  z-index: 100;
  pointer-events: none;
}

.bg-img {
  position: absolute;
  width: 194.44%;
  top: 1.86%;
  left: 50.69%;
  z-index: 1;
}

.fog-7 {
  position: absolute;
  width: 1900px;
  top: calc(50% - 100px);
  left: calc(50% + 300px);
  z-index: 2;
}

.mountain-10 {
  position: absolute;
  width: 870px;
  top: calc(50% + 69px);
  left: calc(50% + 230px);
  z-index: 3;
}

.fog-2 {
  position: absolute;
  width: 1833px;
  top: calc(50% + 95px);
  left: calc(50% + 7px);
  z-index: 4;
}

.mountain-9 {
  position: absolute;
  width: 463px;
  top: calc(50% + 119px);
  left: calc(50% - 457px);
  z-index: 5;
}

.mountain-8 {
  position: absolute;
  width: 768px;
  top: calc(50% + 96px);
  left: calc(50% - 202px);
  z-index: 6;
}

.fog-3 {
  position: absolute;
  width: 449px;
  top: calc(50% + 171px);
  left: calc(50% + 29px);
  z-index: 7;
}

.mountain-7 {
  position: absolute;
  width: 515px;
  top: calc(50% + 134px);
  left: calc(50% + 305px);
  z-index: 8;
}

.text {
  position: absolute;
  top: calc(50% - 130px);
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 9;
  text-align: center;
  text-transform: uppercase;
  color: white;
  pointer-events: auto;
}

.text h2 {
  font-weight: 300;
  font-size: 4.5rem;
  line-height: 0.88;
}

.text h1 {
  font-size: 6rem;
  line-height: 0.88;
}

.mountain-6 {
  position: absolute;
  width: 383px;
  top: calc(50% + 86.5px);
  left: calc(50% + 590px);
  z-index: 10;
}

.fog-4 {
  position: absolute;
  width: 543px;
  top: calc(50% + 242px);
  left: calc(50% - 64px);
  z-index: 11;
}

.mountain-5 {
  position: absolute;
  width: 583px;
  top: calc(50% + 269px);
  left: calc(50% + 130px);
  z-index: 12;
}

.fog-5 {
  position: absolute;
  width: 1435px;
  top: calc(50% + 149px);
  left: calc(50% - 28px);
  z-index: 13;
}

.mountain-4 {
  position: absolute;
  width: 717px;
  top: calc(50% + 221px);
  left: calc(50% - 381.5px);
  z-index: 14;
}

.mountain-3 {
  position: absolute;
  width: 419px;
  top: calc(50% + 133px);
  left: calc(50% + 736);
  z-index: 15;
}

.fog-6 {
  position: absolute;
  width: 1418px;
  top: calc(50% + 177px);
  left: calc(50% - 30px);
  z-index: 16;
}

.mountain-2 {
  position: absolute;
  width: 625px;
  top: calc(50% + 188px);
  left: calc(50% + 412px);
  z-index: 17;
}

.mountain-1 {
  position: absolute;
  width: 450px;
  top: calc(50% + 91.5px);
  left: calc(50% - 601px);
  z-index: 18;
}

.sun-rays {
  position: absolute;
  width: 595px;
  top: 0;
  right: 0;
  z-index: 19;
  pointer-events: none;
}

.black-shadow {
  position: absolute;
  width: 100%;
  right: 0;
  bottom: 0;
  z-index: 20;
  pointer-events: none;
}

.fog-1 {
  position: absolute;
  width: 1600px;
  top: calc(100% - 355px);
  left: 50%;
  z-index: 21;
}

@media (max-width: 1100px) {
  .text h1 {
    font-size: 3.2rem;
  }
  .text h2 {
    font-size: 4rem;
  }
}

@media (max-width: 725px) {
  .text h1 {
    font-size: 2.8rem;
    line-height: 1.1;
  }

  .text h2 {
    font-size: 3.2rem;
    line-height: 1.1;
  }

  header nav {
    padding: 0 1rem;
  }

  .logo {
    width: 80px;
  }

  header ul a {
    font-size: 0.73rem;
    padding: 0 0.9rem;
  }

  .search a {
    font-size: 0.85rem;
    padding: 0 1.8rem;
  }

  .hamburguer {
    padding-left: 0.9rem;
  }

  .hamburguer a {
    height: 30px;
    width: 30px;
  }
}

@media (max-width: 520px) {
  .text h1 {
    font-size: 2.2rem;
  }

  .text h2 {
    font-size: 3rem;
  }
}
